Skip to main content
PUT
/
api
/
v2
/
integration
/
{integrationSlug}
/
{integrationVersion}
Update integration data
curl --request PUT \
  --url 'https://api.vida.dev/api/v2/integration/{integrationSlug}/{integrationVersion}?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appData": {
    "key": "value"
  }
}
'
{
  "success": true,
  "message": "Integration data updated successfully",
  "appId": "acme",
  "appVersion": "v1",
  "appData": {
    "key": "value"
  }
}

Documentation Index

Fetch the complete documentation index at: https://vida.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
query
required

Vida API Token

Path Parameters

integrationSlug
string
required

Slug identifier for the integration

integrationVersion
string
required

Version of the integration (defaults to v1)

Body

application/json
appData
object
required

Integration specific data to update

Example:
{ "key": "value" }

Response

Integration data updated successfully

success
boolean
Example:

true

message
string
Example:

"Integration data updated successfully"

appId
string
Example:

"acme"

appVersion
string
Example:

"v1"

appData
object
Example:
{ "key": "value" }